| QxOrm 1.2.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
qx::QxCollection< Key, Value >::compareKeyValue< true, dummy > Struct Template Reference

List of all members.

## Static Public Member Functions
static bool | compareByKeyAscending (const type_pair_key_value &v1, const type_pair_key_value &v2)
static bool | compareByKeyDescending (const type_pair_key_value &v1, const type_pair_key_value &v2)
static bool | compareByValueAscending (const type_pair_key_value &v1, const type_pair_key_value &v2)
static bool | compareByValueDescending (const type_pair_key_value &v1, const type_pair_key_value &v2)

## Detailed Description

### template<typename Key, typename Value>
template<int dummy>
struct qx::QxCollection< Key, Value >::compareKeyValue< true, dummy >

Definition at line 258 of file QxCollection.h.

## Member Function Documentation

template<typename Key, typename Value>
template<int dummy>

static bool qx::QxCollection< Key, Value >::compareKeyValue< true, dummy >::compareByKeyAscending | ( | const type_pair_key_value & | v1,
|  | const type_pair_key_value & | v2
| ) |  | `[inline, static]`

Definition at line 260 of file QxCollection.h.

template<typename Key, typename Value>
template<int dummy>

static bool qx::QxCollection< Key, Value >::compareKeyValue< true, dummy >::compareByKeyDescending | ( | const type_pair_key_value & | v1,
|  | const type_pair_key_value & | v2
| ) |  | `[inline, static]`

Definition at line 261 of file QxCollection.h.

template<typename Key, typename Value>
template<int dummy>

static bool qx::QxCollection< Key, Value >::compareKeyValue< true, dummy >::compareByValueAscending | ( | const type_pair_key_value & | v1,
|  | const type_pair_key_value & | v2
| ) |  | `[inline, static]`

Definition at line 262 of file QxCollection.h.

template<typename Key, typename Value>
template<int dummy>

static bool qx::QxCollection< Key, Value >::compareKeyValue< true, dummy >::compareByValueDescending | ( | const type_pair_key_value & | v1,
|  | const type_pair_key_value & | v2
| ) |  | `[inline, static]`

Definition at line 263 of file QxCollection.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxCollection/QxCollection.h